#!/bin/bash
#
# Adfinis SyGroup AG
# https://git.adfinis-sygroup.ch/ad-sy/adsy-ldap-manipulation.src
#
# add existing user to groups


### customer or partner, with list of existing
echo "Wähle Typ: Kunden [1], Partner [2] oder AdSy [3]:"
read usertype

if [ $usertype -eq 1 ]; then
  type=customers
  echo ""
  univention-ldapsearch -xLLL ou=* -b ou=customers,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch ou | grep ou: | awk '{print $2}' | sort
  echo ""
  echo "Kunden wählen:"
  read shortname
elif [ $usertype -eq 2 ]; then
  type=partner
  echo ""
  univention-ldapsearch -xLLL ou=* -b ou=partner,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch ou | grep ou: | awk '{print $2}' | sort
  echo ""
  echo "Partner wählen:"
  read shortname
elif [ $usertype -eq 3 ]; then
        type=adsy
else
  echo "Bitte 1, 2 oder 3 wählen:"
  exit
fi


### ask for names

echo "Welcher Benutzer soll bearbeitet werden?"
read username

echo "Folgende Gruppen existieren: "
# list all groups from partner or customer
univention-ldapsearch -xLLL sambaGroupType=2 -b ou=$shortname,ou=$type,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch cn | grep cn: | awk '{print $2}'

echo "Bitte Namen der Gruppe angeben oder N falls keine mehr."
read groupname

until [[ $groupname == "N" || $groupname == "n" ]]; do
  udm users/user modify \
  --dn="uid=$username,ou=$shortname,ou=$type,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
  --append groups="cn=$groupname,ou=$shortname,ou=$type,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch"
  case "$groupname" in
    $shortname-redmine)
      udm users/user modify \
        --dn="uid=$username,ou=$shortname,ou=$type,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
        --append groups="cn=customers-redmine,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch"	
    ;;

    $shortname-powerdns)
      udm users/user modify \
        --dn="uid=$username,ou=$shortname,ou=$type,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
        --append groups="cn=customers-powerdns,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch"	
    ;;

    $shortname-gitlab)
      udm users/user modify \
      --dn="uid=$username,ou=$shortname,ou=$type,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
      --append groups="cn=customers-gitlab,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch"	
    ;;

  esac

  echo "Bitte Namen der Gruppe angeben oder N falls keine mehr."
  read groupname
done

# vim: ai ts=2 sw=2 et sts=2 ft=sh
