#!/bin/bash
#
# Adfinis SyGroup AG
# https://git.adfinis-sygroup.ch/ad-sy/adsy-ldap-manipulation.src
#
# create new group for each customer


### Funktion anpassen
funktion=sysupport

# Liste aller Kunden, "grep -v" damit die ou "customers" selbst nicht mitkommt
CUSTOMERSLIST=`univention-ldapsearch -xLLL ou=* -b ou=customers,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch ou | grep ou: | awk '{print $2}' | grep -v customers`

for shortname in $CUSTOMERSLIST; do
  # Funktionsgruppe in der Kunden-OU erstellen
  udm groups/group create --set name=$shortname-$funktion --set description="$funktion-Funktion für Kunde $shortname" \
    --position "ou=$shortname,ou=customers,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch"
done

# vim: ai ts=2 sw=2 et sts=2 ft=sh
