#!/bin/bash
#
# Adfinis SyGroup AG
# https://git.adfinis-sygroup.ch/ad-sy/adsy-ldap-manipulation.src
#
# fill in global groups


### REDMINE Users
REDMINEUSERS=`univention-ldapsearch -b ou=customers,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch cn=*-redmine | ldapsearch-wrapper | grep uniqueMember: | awk '{ print $2 }'`

for EACH in $REDMINEUSERS; do
  udm groups/group modify --dn "cn=customers-redmine,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
    --append users="${EACH}"
done


### GITLAB Users
GITLABUSERS=`univention-ldapsearch -b ou=customers,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch cn=*-gitlab | ldapsearch-wrapper | grep uniqueMember: | awk '{ print $2 }'`

for EACH in $GITLABUSERS; do
  udm groups/group modify \
    --dn "cn=customers-gitlab,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
    --append users="${EACH}"
done


### POWERDNS Users
POWERDNSUSERS=`univention-ldapsearch -b ou=customers,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch cn=*-powerdns | ldapsearch-wrapper | grep uniqueMember: | awk '{ print $2 }'`

for EACH in $POWERDNSUSERS; do
  udm groups/group modify --dn "cn=customers-powerdns,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
    --append users="${EACH}"
done


### SYSUPPORT Users
SYSUPPORTUSERS=`univention-ldapsearch -b ou=customers,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch cn=*-sysupport | ldapsearch-wrapper | grep uniqueMember: | awk '{ print $2 }'`

for EACH in $SYSUPPORTUSERS; do
  udm groups/group modify --dn "cn=customers-sysupport,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
    --append users="${EACH}"
done


### AdSy User Users
ADSYUSERS=`univention-ldapsearch cn=adsy-user | ldapsearch-wrapper | grep uniqueMember: | awk '{ print $2 }'`

for EACH in $ADSYUSERS; do
  udm groups/group modify --dn "cn=customers-redmine,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
    --append users="$EACH"
  udm groups/group modify --dn "cn=customers-gitlab,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
    --append users="$EACH"
  udm groups/group modify --dn "cn=customers-powerdns,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
    --append users="$EACH"
  udm groups/group modify --dn "cn=customers-sysupport,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
    --append users="$EACH"
  udm groups/group modify --dn "cn=adsy-vault,cn=groups,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch" \
    --append users="$EACH"
done

# vim: ai ts=2 sw=2 et sts=2 ft=sh
